# Personal Report

### Input

```json
{
    "pesel": "07061552938"
}
```

### Response Content

#### Table: disclosureReport

<table><thead><tr><th width="213.66666666666669">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>number</td><td>String</td><td>Disclosure report number</td></tr><tr><td>created</td><td>String</td><td>Date and time report was created</td></tr><tr><td><a href="#table-searchcriterion">searchCriterion</a></td><td>Object</td><td>Object containing search criterion information</td></tr><tr><td>requester</td><td>Object</td><td>Object containing requester information</td></tr><tr><td>summary</td><td>Object</td><td>Object containing summary information</td></tr><tr><td>positiveInformationSummary</td><td>Object</td><td>Object containing positive information summary</td></tr><tr><td>report</td><td>Object</td><td>Object containing report information</td></tr></tbody></table>

#### Table: searchCriterion

| Field                         | Type    | Description                                            |
| ----------------------------- | ------- | ------------------------------------------------------ |
| consumerIdentityNumber        | Object  | Object containing consumer identity number information |
| authorizationDate             | String  | Authorization date                                     |
| authorizationDateSpecified    | Boolean | Indicates if authorization date is specified           |
| actAuthorizationDateSpecified | Boolean | Indicates if act authorization date is specified       |
| searchType                    | String  | Search type                                            |
| searchCriterionType           | String  | Search criterion type                                  |

Table: consumerIdentityNumber

| Field | Type   | Description        |
| ----- | ------ | ------------------ |
| pesel | String | Personal ID number |

Table: requester

| Field         | Type   | Description                                |
| ------------- | ------ | ------------------------------------------ |
| legalPerson   | Object | Object containing legal person information |
| loginFullName | String | Full name of the login user                |

Table: legalPerson

| Field          | Type   | Description                                   |
| -------------- | ------ | --------------------------------------------- |
| name           | String | Name of the legal person                      |
| identityNumber | Object | Object containing identity number information |
| seatAddress    | Object | Object containing seat address information    |

Table: identityNumber

| Field | Type   | Description             |
| ----- | ------ | ----------------------- |
| taxId | String | Tax ID number of person |

Table: seatAddress

| Field | Type      | Description               |
| ----- | --------- | ------------------------- |
| line  | String\[] | Address lines of the seat |

Table: summary

| Field             | Type   | Description                                    |
| ----------------- | ------ | ---------------------------------------------- |
| informationCount  | Number | Total information count in the report          |
| debtorsCount      | Number | Total debtors count in the report              |
| creditorsCount    | Number | Total creditors count in the report            |
| totalArrears      | Object | Object containing total arrears information    |
| oinformationCount | Number | Total overdue information count in the report  |
| dinformationCount | Number | Total disputed information count in the report |

Table: totalArrears

| Field    | Type   | Description                    |
| -------- | ------ | ------------------------------ |
| amount   | Number | Total amount of arrears        |
| currency | String | Currency of the arrears amount |

Table: positiveInformationSummary

| Field                    | Type   | Description                                |
| ------------------------ | ------ | ------------------------------------------ |
| providersCount           | Number | Total providers count in the report        |
| paidObligationsCount     | Number | Total paid obligations count in the report |
| averagePaidDebt          | Number | Average paid debt in the report            |
| averagePaymentTimeInDays | Number | Average payment time in days in the report |
| sumPaidDebt              | Number | Total sum of paid debt in the report       |

Table: `report`

| Field                  | Type   | Description                                                             |
| ---------------------- | ------ | ----------------------------------------------------------------------- |
| obligationInformations | object | The object that contains information about the obligation informations. |

Table: `obligationInformations`

| Field                 | Type  | Description                          |
| --------------------- | ----- | ------------------------------------ |
| obligationInformation | array | The array of obligation information. |

Table: `obligationInformation`

| Field        | Type    | Description                                                                      |
| ------------ | ------- | -------------------------------------------------------------------------------- |
| debtor       | object  | The object that contains information about the debtor.                           |
| provider     | object  | The object that contains information about the provider.                         |
| title        | string  | The title of the obligation.                                                     |
| type         | string  | The type of the obligation.                                                      |
| customType   | string  | The custom type of the obligation.                                               |
| paymentDate  | string  | The payment date of the obligation.                                              |
| noObjections | boolean | The boolean value indicating whether there are any objections to the obligation. |
| callSent     | string  | The date when the call was sent regarding the obligation.                        |
| arrears      | object  | The object that contains information about the arrears.                          |
| category     | number  | The category of the obligation.                                                  |

Table: `identityNumber`

| Field | Type   | Description                                                 |
| ----- | ------ | ----------------------------------------------------------- |
| pesel | string | The Personal Identification Number (PESEL) of the consumer. |

Table: `address`

| Field | Type  | Description                                                  |
| ----- | ----- | ------------------------------------------------------------ |
| line  | array | The array of strings that represents the consumer's address. |

Table: `consumer`

| Field          | Type   | Description                                                    |
| -------------- | ------ | -------------------------------------------------------------- |
| firstName      | string | The first name of the consumer.                                |
| surname        | string | The surname of the consumer.                                   |
| identityNumber | object | The object that contains the consumer's identification number. |
| address        | object | The object that contains the consumer's address.               |

Table: `legalPerson`

| Field          | Type   | Description                                                        |
| -------------- | ------ | ------------------------------------------------------------------ |
| name           | string | The name of the legal person.                                      |
| identityNumber | object | The object that contains the legal person's identification number. |
| seatAddress    | object | The object that contains the legal person's seat address.          |

Table: `provider`

| Field       | Type   | Description                                                  |
| ----------- | ------ | ------------------------------------------------------------ |
| legalPerson | object | The object that contains information about the legal person. |
| category    | number | The category of the provider.                                |

Table: `arrears`

| Field    | Type   | Description                  |
| -------- | ------ | ---------------------------- |
| amount   | number | The amount of arrears.       |
| currency | string | The currency of the arrears. |

#### Example response

```json
{
  "krd" : {
    "personalReport" : {
      "disclosureReport" : {
        "number" : "U1/0000606643/2022",
        "created" : "2022-08-05T08:48:10.000+00:00",
        "searchCriterion" : {
          "consumerIdentityNumber" : {
            "pesel" : "98072831138"
          },
          "authorizationDate" : "2022-08-04T22:00:00.000+00:00",
          "authorizationDateSpecified" : true,
          "actAuthorizationDateSpecified" : false,
          "searchType" : "REGULAR_SEARCH",
          "searchCriterionType" : "PESEL"
        },
        "requester" : {
          "legalPerson" : {
            "name" : "Sample company sp. z o.o.",
            "identityNumber" : {
              "taxId" : "5252812929"
            },
            "seatAddress" : {
              "line" : [ "Rynek Nowego Miasta 9/9, Warszawa", "00-229 Warszawa", "PL" ]
            }
          },
          "loginFullName" : "Jan Kowalski"
        },
        "summary" : {
          "informationCount" : 1,
          "debtorsCount" : 1,
          "creditorsCount" : 1,
          "totalArrears" : {
            "amount" : 624.3,
            "currency" : "PLN"
          },
          "oinformationCount" : 1,
          "dinformationCount" : 0
        },
        "positiveInformationSummary" : {
          "providersCount" : 0,
          "paidObligationsCount" : 0,
          "averagePaidDebt" : 0,
          "averagePaymentTimeInDays" : 0,
          "sumPaidDebt" : 0
        },
        "report" : {
          "obligationInformations" : {
            "obligationInformation" : [ {
              "debtor" : {
                "consumer" : {
                  "firstName" : "Konstanty",
                  "surname" : "Makuszewski",
                  "identityNumber" : {
                    "pesel" : "98072831138"
                  },
                  "address" : {
                    "line" : [ "Kasztanowa 15A", "61-120 Poznań", "PL" ]
                  }
                }
              },
              "provider" : {
                "legalPerson" : {
                  "name" : "Sample company sp. z o.o.",
                  "identityNumber" : {
                    "taxId" : "5252812929"
                  },
                  "seatAddress" : {
                    "line" : [ "ul. Rynek Nowego Miasta 9/9, Warszawa", "00-229 Warszawa", "PL" ]
                  }
                },
                "category" : 0
              },
              "title" : "Pożyczka",
              "type" : "OTHER",
              "customType" : "Inne",
              "paymentDate" : "2017-12-31T23:00:00.000+00:00",
              "noObjections" : true,
              "callSent" : "2018-02-01T23:00:00.000+00:00",
              "arrears" : {
                "amount" : 624.3,
                "currency" : "PLN"
              },
              "category" : 0
            } ]
          }
        }
      }
    }
  },
  "rawResponses" : {
    "krd" : {
      "personalReport" : "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?><ns3:InformationDisclosureResponse xmlns=\"http://krd.pl/Authorization\" xmlns:ns6=\"http://krd.pl/Rastin/Fault\" xmlns:ns5=\"http://krd.pl/Rastin/Dto\" xmlns:ns7=\"http://krd.pl/Chase3.1/Fault\" xmlns:ns2=\"http://krd.pl/Authorization/Response\" xmlns:ns4=\"http://krd.pl/Faults\" xmlns:ns3=\"http://krd.pl/Chase3.1/Dto\"><ns3:DisclosureReport><ns3:Number>U1/0000606643/2022</ns3:Number><ns3:Created>2022-08-05T10:48:10+02:00</ns3:Created><ns3:SearchCriterion><ns3:ConsumerIdentityNumber><ns3:Pesel>98072831138</ns3:Pesel></ns3:ConsumerIdentityNumber><ns3:AuthorizationDate>2022-08-05T00:00:00+02:00</ns3:AuthorizationDate><ns3:AuthorizationDateSpecified>true</ns3:AuthorizationDateSpecified><ns3:ActAuthorizationDateSpecified>false</ns3:ActAuthorizationDateSpecified><ns3:SearchType>RegularSearch</ns3:SearchType><ns3:SearchCriterionType>Pesel</ns3:SearchCriterionType></ns3:SearchCriterion><ns3:Requester><ns3:LegalPerson><ns3:Name>Sample company sp. z o.o.</ns3:Name><ns3:IdentityNumber><ns3:TaxId>5252812929</ns3:TaxId></ns3:IdentityNumber><ns3:SeatAddress><ns3:Line>Rynek Nowego Miasta 9/9, Warszawa</ns3:Line><ns3:Line>00-229 Warszawa</ns3:Line><ns3:Line>PL</ns3:Line></ns3:SeatAddress></ns3:LegalPerson><ns3:LoginFullName>Jan Kowalski</ns3:LoginFullName></ns3:Requester><ns3:Summary><ns3:InformationCount>1</ns3:InformationCount><ns3:OInformationCount>1</ns3:OInformationCount><ns3:DInformationCount>0</ns3:DInformationCount><ns3:DebtorsCount>1</ns3:DebtorsCount><ns3:CreditorsCount>1</ns3:CreditorsCount><ns3:TotalArrears><ns3:Amount>624.3</ns3:Amount><ns3:Currency>PLN</ns3:Currency></ns3:TotalArrears></ns3:Summary><ns3:PositiveInformationSummary><ns3:ProvidersCount>0</ns3:ProvidersCount><ns3:PaidObligationsCount>0</ns3:PaidObligationsCount><ns3:AveragePaidDebt>0</ns3:AveragePaidDebt><ns3:AveragePaymentTimeInDays>0</ns3:AveragePaymentTimeInDays><ns3:SumPaidDebt>0</ns3:SumPaidDebt></ns3:PositiveInformationSummary><ns3:Report><ns3:ObligationInformations><ns3:ObligationInformation category=\"0\"><ns3:Debtor><ns3:Consumer><ns3:FirstName>Konstanty</ns3:FirstName><ns3:Surname>Makuszewski</ns3:Surname><ns3:IdentityNumber><ns3:Pesel>98072831138</ns3:Pesel></ns3:IdentityNumber><ns3:Address><ns3:Line>Kasztanowa 15A</ns3:Line><ns3:Line>61-120 Poznań</ns3:Line><ns3:Line>PL</ns3:Line></ns3:Address></ns3:Consumer></ns3:Debtor><ns3:Provider category=\"0\"><ns3:LegalPerson><ns3:Name>Sample Company sp. z o.o.</ns3:Name><ns3:IdentityNumber><ns3:TaxId>5252812929</ns3:TaxId></ns3:IdentityNumber><ns3:SeatAddress><ns3:Line>ul. Rynek Nowego Miasta 9/9, Warszawa</ns3:Line><ns3:Line>00-229 Warszawa</ns3:Line><ns3:Line>PL</ns3:Line></ns3:SeatAddress></ns3:LegalPerson></ns3:Provider><ns3:Title>Pożyczka</ns3:Title><ns3:Type>Other</ns3:Type><ns3:CustomType>Inne</ns3:CustomType><ns3:PaymentDate>2018-01-01T00:00:00+01:00</ns3:PaymentDate><ns3:NoObjections>true</ns3:NoObjections><ns3:CallSent>2018-02-02T00:00:00+01:00</ns3:CallSent><ns3:Arrears><ns3:Amount>624.3</ns3:Amount><ns3:Currency>PLN</ns3:Currency></ns3:Arrears></ns3:ObligationInformation></ns3:ObligationInformations></ns3:Report></ns3:DisclosureReport></ns3:InformationDisclosureResponse>"
    }
  }
}
```

### Sandbox test input

| pesel       | unpaid liability | fulfillment of obligations |
| ----------- | ---------------- | -------------------------- |
| 72071744411 | false            | false                      |
| 46121539777 | false            | false                      |
| 50062974274 | false            | false                      |
| 88051989510 | false            | true                       |
| 58120885605 | false            | true                       |
| 89060540664 | false            | true                       |
| 98072831138 | true             | false                      |
| 55041138601 | true             | false                      |
| 58091369755 | true             | false                      |
| 45031290486 | true             | false                      |
| 74082719244 | true             | false                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/krd/personal-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
